सवाल मैं उबंटू 14.04 पर 3.16 कर्नेल कैसे स्थापित कर सकता हूं


sudo apt-get update && sudo apt-get dist-upgrade नवीनतम कर्नेल न दिखाएं।

मैं 14.04 पर 3.16 कर्नेल कैसे स्थापित कर सकता हूं?


16
2017-08-05 01:20


मूल


इसे अभी तक 14.04 के लिए जारी नहीं किया गया है: "यह खत्म हो गया है, जिसका मतलब है कि आप इसे चाहते हैं। अच्छा, अपने घोड़ों को पकड़ो। लिनक्स 3.16 इस साल के अंत में उबंटू लिनक्स कर्नेल का आधार बनने की संभावना है। 14.10 कर्नेल को एलटीएस उपयोगकर्ताओं को जल्द ही एक बिंदु रिलीज अपडेट के माध्यम से प्रदान किया जाएगा। यदि आप अधीर हैं और - सबसे महत्वपूर्ण रूप से - कुशल कुशल हैं, तो आप मेनलाइन कर्नेल में सूचीबद्ध सिस्टम के लिए संबंधित इंस्टॉलर्स का उपयोग करके उबंटू 14.04 एलटीएस में लिनक्स 3.16 इंस्टॉल कर सकते हैं कैनोनिक द्वारा बनाए गए संग्रह। " omgubuntu.co.uk/2014/08/linux-kernel-3-16-changes-drivers - amanthethy
क्या आपने नीचे मेरा जवाब नहीं देखा? - ElefantPhace
इसके बारे में क्या है? हम विभिन्न चीजों को संबोधित कर रहे हैं। आपने नवीनतम कर्नेल को स्थापित करने के लिए एक विधि प्रदान करके प्रश्न का उत्तर दिया है। मैंने टिप्पणी की है कि इसे स्थापित करने का उनका पहला प्रयास क्यों नहीं हुआ। - amanthethy
लॉल कभी पहला प्रयास नहीं था। ओपी और उत्तरदाता को देखो। यह यहां किसी ऐसे व्यक्ति के लिए है जो नवीनतम में अपग्रेड करना चाहता है और यह नहीं जानता कि कैसे - ElefantPhace
: पी मेरा बुरा आदमी। शायद यह स्पष्ट करने के लिए कि आप एक सामान्य गाइड पोस्ट कर रहे हैं, अपने मूल प्रश्न को दोबारा बताएं। - amanthethy


जवाब:


अब वह 14.10 जारी किया गया है, उबंटू 14.04 पर 3.16 प्राप्त करने का एक आसान और बेहतर तरीका है:

sudo apt-get install linux-image-generic-lts-utopic

यह पैकेज हमेशा उपलब्ध नवीनतम 3.16 छवि पर निर्भर करेगा। (यह आलेख इस आलेख के समय तैयार नहीं हो सकता है।)


24
2017-12-16 12:05



+1। यह उबंटू एलटीएस के हार्डवेयर-सक्षम कार्यक्रम में समर्थित कर्नेल बैकपोर्ट है। यहां अधिक जानकारी: wiki.ubuntu.com/Kernel/LTSEnablementStack जैसा कि उस पृष्ठ पर वर्णित है, सुनिश्चित करें कि, अपने ग्राफिक्स / एक्स स्टैक के साथ समस्याओं को रोकने के लिए बैकपोर्टेड एक्सओआर अपडेट भी इंस्टॉल करें (अभी तक लिखने के समय उपलब्ध नहीं है)। - gertvdijk
ऐसा लगता है कि अभी समर्थन है sudo apt-get install --install-recommends linux-generic-lts-utopic xserver-xorg-lts-utopic libgl1-mesa-glx-lts-utopic libegl1-mesa-drivers-lts-utopic - Thiago Macedo
एक संदर्भ के रूप में, यह सब यहाँ वर्णित है: wiki.ubuntu.com/Kernel/LTSEnablementStack - gkephorus


नवीनतम कर्नेल को स्थापित करने के लिए आप हमेशा जा सकते हैं kernel.ubuntu.com यह देखने के लिए कि क्या हो रहा है।

नवीनतम 3.16 कर्नेल को स्थापित करने के लिए आपको बस इतना करना है:

cd /tmp

32 बिट के लिए:

wget \
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.16-utopic/linux-headers-3.16.0-031600-generic_3.16.0-031600.201408031935_i386.deb \
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.16-utopic/linux-headers-3.16.0-031600_3.16.0-031600.201408031935_all.deb \
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.16-utopic/linux-image-3.16.0-031600-generic_3.16.0-031600.201408031935_i386.deb

64 बिट के लिए:

wget \
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.16-utopic/linux-headers-3.16.0-031600-generic_3.16.0-031600.201408031935_amd64.deb \
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.16-utopic/linux-headers-3.16.0-031600_3.16.0-031600.201408031935_all.deb \
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.16-utopic/linux-image-3.16.0-031600-lowlatency_3.16.0-031600.201408031935_amd64.deb

फिर, सुनिश्चित करें कि आपके पास कोई अन्य नहीं है .debएस में /tmp

sudo dpkg -i *.deb

फिर

sudo reboot

8
2017-08-05 01:23



अगर पीपीए मैन्युअल रूप से जोड़ना चाहता था sources.list और इसकी कुंजी, मुझे क्या करने की ज़रूरत है? - Oxwivi
आप कर्नेल के वर्तमान संस्करण पर वापस कैसे जा सकते हैं? - jcora
अधिकांश उपयोगकर्ताओं के लिए, generic कर्नेल ठीक काम करेगा, केवल उपयोग करें lowlatency यदि तुम्हें इसकी आवश्यकता है। यदि आप उपयोग करते हैं तो कुछ सिस्टम पर कुल प्रदर्शन खराब हो जाएगा lowlatency। - John
हां, मुझे यकीन है कि ज्यादातर लोग आसानी से उसमें से सभी को जोड़ सकते थे, लेकिन यह उद्देश्य नहीं था .. - ElefantPhace
क्या आप इस तरीके से एकाधिक कर्नल स्थापित कर सकते हैं और बूट पर किस का उपयोग करना चुन सकते हैं? - waspinator


मैं इसका उपयोग करने की सलाह देते हैं linux-image-generic-lts-utopic या उबंटू 14.04 एलटीएस के लिए जो भी नया उपलब्ध कराया गया है।

रिहाई भंडार मिश्रण से बचने का प्रयास करें, यह चीजों को तोड़ सकता है।

अगर linux-image-generic-lts-$(lsb_release -sc) आपके लिए पर्याप्त नया नहीं है, उबंटू कर्नेल मेनलाइन संग्रह (मैन्युअल रूप से डाउनलोड और इंस्टॉल करें) आज़माएं http://kernel.ubuntu.com/~kernel-ppa/mainline/

नोट: मेनलाइन कर्नेल का उपयोग करने की कमी यह है कि आप ड्राइवरों को संकलित करने में सक्षम नहीं हो सकते हैं या वर्चुअलबॉक्स जैसी चीजें अत्याधुनिक कर्नेल के साथ काम नहीं कर सकती हैं। अंतिम लेकिन कम से कम नहीं, ksplice (अपट्रैक) वैसे भी मेनलाइन कर्नेल के साथ काम नहीं करेगा (अपट्रैक वर्तमान एलटीएस पर बाद में रिलीज से नए कर्नेल का समर्थन करता है)।


4
2018-01-28 06:55